Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions
Lucene::Reader Class Referenceabstract

Abstract class for reading character streams. More...

`#include <Reader.h>`

Inheritance diagram for Lucene::Reader:

## Public Member Functions

virtual | ~Reader ()
virtual String | getClassName ()
boost::shared_ptr< Reader > | shared_from_this ()
virtual int32_t | read ()
| Read a single character. More...
virtual int32_t | read (wchar_t *buffer, int32_t offset, int32_t length)=0
| Read characters into a portion of an array. More...
virtual int64_t | skip (int64_t n)
| Skip characters. More...
virtual void | close ()=0
| Close the stream. More...
virtual bool | markSupported ()
| Tell whether this stream supports the mark() operation. More...
virtual void | mark (int32_t readAheadLimit)
| Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point. More...
virtual void | reset ()
| Reset the stream. If the stream has been marked, then attempt to reposition it at the mark. If the stream has not been marked, then attempt to reset it in some way appropriate to the particular stream, for example by repositioning it to its starting point. More...
virtual int64_t | length ()
| The number of bytes in the stream. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Static Public Attributes

static const int32_t | READER_EOF

## Protected Member Functions

| Reader ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Additional Inherited Members

Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Abstract class for reading character streams.

## Constructor & Destructor Documentation

Lucene::Reader::Reader | ( |  | ) |

protected

virtual Lucene::Reader::~Reader | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::Reader::_getClassName | ( |  | ) |

inline static

virtual void Lucene::Reader::close | ( |  | ) |

pure virtual

Close the stream.

Implemented in Lucene::BufferedReader, Lucene::FileReader, Lucene::CharFilter, Lucene::ReusableStringReader, Lucene::InputStreamReader, Lucene::StringReader, and Lucene::CharReader.

virtual String Lucene::Reader::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::MappingCharFilter, Lucene::CharFilter, Lucene::BufferedReader, Lucene::BaseCharFilter, Lucene::CharReader, Lucene::CharStream, Lucene::FileReader, Lucene::InputStreamReader, Lucene::ReusableStringReader, and Lucene::StringReader.

virtual int64_t Lucene::Reader::length | ( |  | ) |

virtual

The number of bytes in the stream.

Reimplemented in Lucene::FileReader, and Lucene::StringReader.

virtual void Lucene::Reader::mark | ( | int32_t | readAheadLimit | ) |

virtual

Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point.

Reimplemented in Lucene::CharFilter, and Lucene::CharReader.

virtual bool Lucene::Reader::markSupported | ( |  | ) |

virtual

Tell whether this stream supports the mark() operation.

Reimplemented in Lucene::BufferedReader, Lucene::FileReader, Lucene::CharFilter, Lucene::InputStreamReader, Lucene::StringReader, and Lucene::CharReader.

virtual int32_t Lucene::Reader::read | ( |  | ) |

virtual

Read a single character.

Reimplemented in Lucene::BufferedReader, Lucene::MappingCharFilter, Lucene::FileReader, Lucene::InputStreamReader, and Lucene::StringReader.

virtual int32_t Lucene::Reader::read | ( | wchar_t * | buffer,
|  | int32_t | offset,
|  | int32_t | length
| ) |  |

pure virtual

Read characters into a portion of an array.

Implemented in Lucene::BufferedReader, Lucene::CharFilter, Lucene::FileReader, Lucene::MappingCharFilter, Lucene::ReusableStringReader, Lucene::CharReader, Lucene::InputStreamReader, and Lucene::StringReader.

virtual void Lucene::Reader::reset | ( |  | ) |

virtual

Reset the stream. If the stream has been marked, then attempt to reposition it at the mark. If the stream has not been marked, then attempt to reset it in some way appropriate to the particular stream, for example by repositioning it to its starting point.

Reimplemented in Lucene::BufferedReader, Lucene::FileReader, Lucene::CharFilter, Lucene::InputStreamReader, Lucene::StringReader, and Lucene::CharReader.

boost::shared_ptr< Reader > Lucene::Reader::shared_from_this | ( |  | ) |

inline

virtual int64_t Lucene::Reader::skip | ( | int64_t | n | ) |

virtual

Skip characters.

## Field Documentation

const int32_t Lucene::Reader::READER_EOF

static

The documentation for this class was generated from the following file:

- Reader.h

clucene.sourceforge.net